* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primary-color: #B3D570;
  --secondary-color: #1E270C;
  --tertiary-color: #45522B;
  --quaternary-color: #597F0E;
  --quinary-color: #1A221C;
  --senary-color: #1A210A;
  --space-0: 1rem;
  --space-1: 1.6rem;
  --space-2: 2.6rem;
  --space-3: 5rem;
  --space-4: 7rem;
  --space-5: 14rem;
  --space-6: 20rem;
  --space-7: 24rem;
  --samsung-color: #000000;
  --sweaty-color: #FF004D;
  --smartthings-color: #008DF7;
}

::selection {
  background-color: var(--primary-color);
  color: var(--secondary-color);
}

html {
  font-family: 'Big Shoulders Display', sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-smooth: never;

  /* Prevent text resizing on mobile and IE */
  -webkit-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  text-size-adjust: 100%;

  /* Remove tap highlight on mobile browsers */
  -webkit-tap-highlight-color: transparent;

  background-color: var(--secondary-color);
  transition: background-color 0.8s ease-in-out;
}

body {
  overflow-x: hidden;
}

img {
  width: 100%;
  height: auto;
}

.wrapper {
  display: grid;
  padding: var(--space-2);
  gap: var(--space-1);
  grid-template-rows: auto 1fr auto;
  min-height: 100vh;
}

main {
  display: grid;
  gap: var(--space-1);
  height: max-content;
}

footer {
  display: grid;
  line-height: 0;
  gap: var(--space-1);
}

p {
  font-family: "Roboto", sans-serif;
  font-weight: 300;
  font-style: normal;
  font-size: 1.125rem;
  line-height: 2rem;
  padding-bottom: 2rem;
  color: var(--primary-color);
}

p:last-of-type {
  padding-bottom: 0;
}

p:has(+ ul) {
  padding-bottom: 0;
}

p:has(+ .additional-thoughts) {
  padding-bottom: 2rem;
}

.additional-thoughts {
  padding: 2rem;
  background-color: var(--senary-color);
  border: 1px solid var(--quaternary-color);
}

ul {
  font-family: "Roboto", sans-serif;
  font-weight: 300;
  font-style: normal;
  font-size: 1.125rem;
  line-height: 2rem;
  color: var(--primary-color);
  padding-bottom: 1.5rem;
  padding-top: 1.5rem;
}

ul li {
  font-family: "Roboto", sans-serif;
  font-weight: 300;
  font-style: normal;
  font-size: 1.125rem;
  line-height: 2rem;
  color: var(--primary-color);
  list-style-type: none;
  padding: 0 1rem;
  margin-bottom: 1rem;
  border-left: 1px solid var(--tertiary-color);
}

.additional-thoughts ul {
  padding-bottom: initial;
}

ul li:last-of-type {
  margin-bottom: 0;
}

h4 {
  padding-left: 0;
  font-family: 'Big Shoulders Display', sans-serif;
  font-optical-sizing: auto;
  font-weight: 715;
  font-size: 5.2vw;
  color: var(--primary-color);
  text-transform: uppercase;
}

h4:has(+ p) {
  padding-bottom: 1rem;
}

h3 {
  font-weight: 600;
  color: var(--primary-color);
  font-size: 1.7rem;
  padding-bottom: 1rem;
}

h1 {
  font-family: 'Big Shoulders Display', sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-size: 15vw;
  color: var(--primary-color);
  text-transform: uppercase;
}

h2 {
  font-family: 'Big Shoulders Display', sans-serif;
  font-optical-sizing: auto;
  font-weight: 710;
  color: var(--tertiary-color);
  font-size: 2.69vw;
  text-transform: uppercase;
}

h4 a {
  text-decoration: none;
  color: var(--primary-color);
}

h4 a:link, h4 a:visited {
  color: var(--primary-color);
}

h4 a:hover {
  color: var(--secondary-color);
  background-color: var(--quaternary-color);
  padding: 0.2rem 1rem;
  margin-left: -1rem;
}

h4 a:focus, h4 a:active {
  /* Add styles if needed */
}

p a {
  color: var(--primary-color);
  text-decoration-color: var(--quaternary-color);
  text-decoration-thickness: .01rem;
  text-underline-offset: .7rem;
  transition: all 0.2s ease-in-out;
}

p a:link, p a:visited {
  color: var(--primary-color);
}

.nopadding {
  padding: 0;
}

.video-container {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 aspect ratio (divide 9 by 16 = 0.5625) */
  height: 0;
  overflow: hidden;
  max-width: 100%;
  background: #000;
}

.video-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

p a:hover {
  text-decoration-color: var(--primary-color);
  text-underline-offset: .5rem;
}

p a:focus, p a:active {
  /* Add styles if needed */
}

svg {
  width: 100%;
  height: auto;
}

.ticker div {
  color: var(--primary-color);
  text-transform: uppercase;
  letter-spacing: .3rem;
  font-size: 1.5rem;
  font-weight: 300;
}

.eocjs-newsticker {
  padding: 10px 0;
  background-color: var(--primary-color);
}

.eocjs-newsticker .eocjs-newsticker-container {
  position: relative;
  height: 24px;
  overflow: hidden;
}

.eocjs-newsticker .eocjs-newsticker-one,
.eocjs-newsticker .eocjs-newsticker-two {
  position: absolute;
  left: 0;
  top: 0;
  height: 24px;
  line-height: 24px;
  white-space: nowrap;
  color: var(--secondary-color);
  text-transform: uppercase;
  letter-spacing: .3rem;
  font-size: 1.5rem;
  font-weight: 300;
}

.eocjs-newsticker-loader {
  position: absolute;
  left: calc(50% - 10px);
  top: 2px;
  width: 20px;
  height: 20px;
  display: block;
  border: 3px solid #555555;
  border-top: 3px solid transparent;
  border-radius: 50%;
  animation: eocjs-newsticker-spin .75s linear infinite;
}

@keyframes eocjs-newsticker-spin {
  to {
    transform: rotate(360deg);
  }
}

.note-hold {
  position: relative;
}

.evp-jj-note {
  position: absolute;
  width: 19rem;
  right: -8rem;
  bottom: -11.5rem; 
}

.spm-sandra-note-1 {
  position: absolute;
  width: 19rem;
  right: -8rem;
  bottom: -8.5rem;
}

.spm-sandra-note-2 {
  position: absolute;
  position: absolute;
  width: 16rem;
  right: -7rem;
  bottom: -10.5rem;
}

.spm-sandra-note-3 {
  position: absolute;
  width: 12rem;
  right: -6rem;
  bottom: -8.5rem;
}

.slant-left {
  -moz-transform:rotate(-3deg);
  -webkit-transform:rotate(-3deg);
  -o-transform:rotate(-3deg);
  -ms-transform:rotate(-3deg);
  transform:rotate(-3deg);
}

.slant-right {
  -moz-transform:rotate(3deg);
  -webkit-transform:rotate(3deg);
  -o-transform:rotate(3deg);
  -ms-transform:rotate(3deg);
  transform:rotate(3deg);
}

.case-study {
  padding: var(--space-5);
  gap: var(--space-6);
}

.case-study-subject {
  display: grid;
  height: 100vh;
  align-content: center;
  gap: var(--space-5);
}

.case-study-subject div {
  align-content: center;
}

.subject-1 {
  grid-template-columns: 1fr;
  padding: var(--space-6);
}

.subject-2 {
  grid-template-columns: 1fr 1fr;
  padding: var(--space-5);
}

.tools-and-skills {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.glow {
  box-shadow: 0px 4px 23.1px 3px var(--quinary-color), 0px 4px 119px 3px var(--primary-color);
  line-height: 0;
}

.tv {
  border: 1rem solid var(--quinary-color);
  line-height: 0;
}

.phone-hold-1 {
  display: grid;
  grid-template-columns: 1fr;
  gap: 7rem;
  justify-self: center;
}

.phone-hold-2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 7rem;
  justify-self: center;
}

.phone {
  border: 1rem solid var(--quinary-color);
  border-radius: 3rem;
  line-height: 0;
}

.phone img, .phone video {
  border-radius: 2rem;
}

.watch {
  border: 1rem solid var(--quinary-color);
  border-radius: 3rem;
  line-height: 0;
  width: 15rem;
  border-radius: ;
}

.watch img, .watch video {
  border-radius: 2rem;
}

.tablet {
  border: 1rem solid var(--quinary-color);
  line-height: 0;
  border-radius: 2rem;
}

.tablet img, .tablet video {
  border-radius: 1em;
}

.vertical {
  max-width: 22rem;
}

.horizontal {
  max-width: 45.375rem;
}

/* Media Queries */
/* Small: 0 – 600px */
@media (max-width: 768px) {
  /* Add styles if needed */
  .watch {
    width: 12rem;
  }
}

/* Medium: 600px – 1200px */
@media (min-width: 768px) and (max-width: 1200px) {
  .case-study-subject {
    padding: var(--space-4);
    gap: var(--space-4);
  }

  .case-study {
    padding: var(--space-4);
  }
}

/* Both Small & Medium: 1200px and down */
@media (max-width: 768px) {
  .wrapper {
    padding: var(--space-1);
    gap: var(--space-0);
  }

  h2 {
    font-size: 7vw;
    font-weight: 730;
  }
  
  h3 {
    font-size: 1.7rem;
    line-height: 2.7rem;
  }

  h4 {
    font-size: 11vw;
    /* padding: 0.12em 0; */
  }

  .case-study {
    padding: var(--space-0);
    gap: var(--space-4);
  }

  .case-study-subject {
    padding: var(--space-3);
    gap: var(--space-3);
  }

  .subject-2 {
    grid-template-columns: 1fr;
  }

  .tools-and-skills {
    grid-template-columns: 1fr;
    gap: var(--space-4);
  }

  .tv {
    border: .7rem solid var(--quinary-color);
  }

  .tablet {
    border: .7rem solid var(--quinary-color);
    border-radius: 1rem;
  }

  .tablet img, .tablet video {
    border-radius: .5rem;
  }

  .evp-jj-note {
    position: absolute;
    width: 14.25rem;
    right: -2rem;
    bottom: -8.75rem;
  }

  .spm-sandra-note-1 {
    position: absolute;
    width: 14rem;
    right: -2rem;
    bottom: -8.5rem;
  }
  
  .spm-sandra-note-2 {
    position: absolute;
    width: 14rem;
    right: -1rem;
    bottom: -9.2rem;
  }
  
  .spm-sandra-note-3 {
    position: absolute;
    width: 12rem;
    right: 0rem;
    bottom: -8.5rem;
  }

  .phone-hold-1 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 7rem;
    justify-self: center;
    max-width: 22rem;
  }

  .phone-hold-2 {
    grid-template-columns: 1fr;
  }

  .horizontal {
    display: none;
  }
}

/* Large: 1150px – 1300px */
@media (min-width: 1150px) and (max-width: 1300px) {
  /* Add styles if needed */
}

/* Extra-Large: Fixed at 1300px */
@media (min-width: 1300px) {
  /* Add styles if needed */
}

/* Both Large & Extra-Large: 1200px and up */
@media (min-width: 1200px) {
  .evp-jj-note {
    position: absolute;
    width: 21rem;
    right: -8rem;
    bottom: -12.5rem;
  }
}